#!/bin/bash

fromgsifile="補正結果.txt"
infile=$1
outfile=$2

awk '
BEGIN { OFS = " "; line = 1; }
F == 0 {
    lat[NR] = $4;
    lon[NR] = $5;
    hgt[NR] = $6;
    next;
}
{
    if (line<=10) {
        print $0;
    } else {
        print $1, $2, lat[line], lon[line], hgt[line], $6, $7, $8, $9, $10, $11, $12, $13, $14, $15
    }
    line = line + 1;
}
' F=0 $fromgsifile F=1 $infile > $outfile

wc $infile $fromgsifile
