f_good = "clas.g"
f_bad  = "clas.b"
ng=system("wc " . f_good . " | awk '{print $1;}'")/1.
nb=system("wc " . f_bad  . " | awk '{print $1;}'")/1.
t1_label= "good " . int(ng*100/(ng+nb)+0.5) . "% (n=" . int(ng) . ")"
t2_label= "bad  " . int(nb*100/(ng+nb)+0.5) . "% (n=" . int(nb) . ")"
set label 1 right at graph 0.99,0.2 t1_label
set label 2 right at graph 0.99,0.1 t2_label
set xrange[30:50]
set xtics 10
set mxtics 5
set yrange[0:1]
set ytics 0.5
set mytics 5
set format y "%3.1f"
set xlabel "signal-to-noise power ratio [dB]"
set ylabel "cumulative distribution"
unset key
plot \
  f_good u 1:(1/ng) smooth cumulative t 'good', \
  f_bad  u 1:(1/nb) smooth cumulative t 'bad'
