#!/bin/bash

date=$1
infile=$2
togsifile=gsi.txt

awk -v date="$date" '
BEGIN {
    print "ObservationDate:    " date
    print "CalcDirection:      ToJGD"
    print "LatLon:"
    print "  Unit: Decimal"
    print "  AltUnit: M"
    print "---"
}
NR > 10 {
    print $3, " ", $4, " ", $5
}' $infile > $togsifile


